%define       _owncloud_install %{_datadir}/%{name}

%define prerel %{nil}
%define oprerel %{nil}
%define _requires_exceptions pear(common.inc.php)\\|pear(vendor/autoload.php)\\|pear(jpgraph*
%define __jar_repack %{nil}

Summary:      Open personal cloud
Name:         owncloud
Version:      6.0.9
Release:      %mkrel 1
Source0:      http://download.owncloud.org/community/%{name}-%{version}%{prerel}.tar.bz2
License:      AGPLv3
Group:        Monitoring
Url:          http://owncloud.org/
BuildRequires: apache
Requires:     php >= 4.1
Requires:     apache
Requires:     apache-mod_php
Requires:     php-zip
Requires:     php-mbstring
Requires:     php-gd
Requires:     php-curl
Requires:     php-iconv
Suggests:     php-sqlite3 php-pdo_sqlite
Suggests:     php-apc
BuildArch:    noarch

%description
A personal cloud server which runs on you personal server 
and enables accessing your data from everywhere and sharing 
with other people.

%files
%attr(-,apache,apache) %{_owncloud_install}
%config(noreplace) %{webappconfdir}/%{name}.conf

#--------------------------------------------------------------------


%prep
%setup -q -n %{name}

%install
mkdir -p %{buildroot}/%{_owncloud_install}
(
mkdir temp 
pushd temp
tar xjf %{SOURCE0}
mv %{name}/* %{buildroot}%{_owncloud_install}
popd
)


mkdir -p %{buildroot}%{webappconfdir}
cat > %{buildroot}%{webappconfdir}/%{name}.conf <<EOF
# %{name} configuration
Alias /%{name} %{_owncloud_install}
<Directory %{_owncloud_install}>
    <IfModule mod_authz_core.c>
	# Apache 2.4
	<RequireAny>
	    Require all granted
	</RequireAny>
    </IfModule>
    <IfModule !mod_authz_core.c>
	# Apache 2.2
	Order allow,deny
	Allow from all
    </IfModule>
</Directory>
<Directory %{_owncloud_install}/data>
    <IfModule mod_authz_core.c>
	# Apache 2.4
	<RequireAny>
	    Require all denied
	</RequireAny>
    </IfModule>
    <IfModule !mod_authz_core.c>
	# Apache 2.2
	Order Deny,Allow
	Deny from All
	Allow from None
    </IfModule>
</Directory>
EOF


%changelog
* Tue Aug 04 2015 luigiwalser <luigiwalser> 6.0.9-1.mga4
+ Revision: 860945
- 6.0.9
- 6.0.8
- 6.0.7
- 6.0.4
- 6.0.3
- New version 6.0.2

* Wed Dec 11 2013 neoclust <neoclust> 6.0.0-1.mga4
+ Revision: 556329
- New version 6.0.0 Final

* Fri Nov 29 2013 neoclust <neoclust> 6.0.0-0.rc1.1.mga4
+ Revision: 554053
- New version 6.0 RC1

* Thu Nov 28 2013 neoclust <neoclust> 6.0.0-0.beta5.1.mga4
+ Revision: 553786
- New version 6.0Beta5

* Sat Nov 02 2013 neoclust <neoclust> 6.0.0-0.beta2.1.mga4
+ Revision: 549064
- New version 6.0.0beta2

* Thu Oct 24 2013 neoclust <neoclust> 6.0.0-0.alpha1.3.mga4
+ Revision: 546762
+ rebuild (emptylog)

* Mon Oct 21 2013 umeabot <umeabot> 6.0.0-0.alpha1.2.mga4
+ Revision: 540980
- Mageia 4 Mass Rebuild

* Thu Oct 10 2013 neoclust <neoclust> 6.0.0-0.alpha1.1.mga4
+ Revision: 494766
- Update to owncloud 6

* Mon Sep 30 2013 neoclust <neoclust> 5.0.11-1.mga4
+ Revision: 489536
- New version 5.0.11

* Tue Aug 13 2013 oden <oden> 5.0.10-1.mga4
+ Revision: 466156
- 5.0.10
- make it work with apache 2.2 and 2.4

* Wed Jul 17 2013 blino <blino> 5.0.9-1.mga4
+ Revision: 455150
- 5.0.9

* Sun Jul 14 2013 neoclust <neoclust> 5.0.8-2.mga4
+ Revision: 453944
- Fix owncloud conf file location ( mga #10275)

* Sat Jul 13 2013 blino <blino> 5.0.8-1.mga4
+ Revision: 453874
- 5.0.8

* Tue Jun 11 2013 neoclust <neoclust> 5.0.7-1.mga4
+ Revision: 441929
- New version

* Fri Jun 07 2013 blino <blino> 5.0.6-2.mga4
+ Revision: 440319
- suggest php-apc, owncloud is really slow without it

* Sat May 25 2013 neoclust <neoclust> 5.0.6-1.mga4
+ Revision: 426935
- New security fix release

* Mon Apr 22 2013 neoclust <neoclust> 5.0.5-1.mga3
+ Revision: 410963
- New release ( sec fixes )

* Sat Apr 13 2013 neoclust <neoclust> 5.0.4-1.mga3
+ Revision: 410053
- New version

* Fri Apr 05 2013 neoclust <neoclust> 5.0.3-1.mga3
+ Revision: 408354
- New version

* Tue Apr 02 2013 neoclust <neoclust> 5.0.2-1.mga3
+ Revision: 407319
- New version

* Wed Mar 20 2013 neoclust <neoclust> 5.0.0-1.mga3
+ Revision: 404149
- New version

  + zezinho <zezinho>
    - new version

* Mon Mar 18 2013 zezinho <zezinho> 4.5.6-3.mga3
+ Revision: 403914
- better default security for data directory

* Sun Feb 24 2013 neoclust <neoclust> 4.5.6-2.mga3
+ Revision: 400236
- Add php-iconv as requires ( mga #9171)

* Mon Jan 28 2013 neoclust <neoclust> 4.5.6-1.mga3
+ Revision: 392816
- New version

* Sun Jan 13 2013 umeabot <umeabot> 4.5.1-2.mga3
+ Revision: 362270
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Oct 24 2012 neoclust <neoclust> 4.5.1-1.mga3
+ Revision: 309644
- New version ( bug fix version )

* Thu Oct 18 2012 neoclust <neoclust> 4.5.0-1.mga3
+ Revision: 307958
- New version

* Mon Sep 24 2012 juancho <juancho> 4.0.5-2.mga3
+ Revision: 296998
- Added missing BR php-curl

* Wed Jul 25 2012 dmorgan <dmorgan> 4.0.5-1.mga3
+ Revision: 274139
- New version 4.0.5

* Mon Jul 23 2012 blino <blino> 4.0.4-4.mga3
+ Revision: 273670
- adapt conf file to apache 2.4

* Sun Jul 15 2012 blino <blino> 4.0.4-3.mga3
+ Revision: 271048
- suggest php-pdo_sqlite as well, both this one and php-sqlite3 seems to be required

* Sun Jul 15 2012 blino <blino> 4.0.4-2.mga3
+ Revision: 271043
- suggest php-sqlite3 instead of the deprecated php-pear-MDB2_Driver_sqlite
- require php-gd

* Sun Jul 15 2012 dmorgan <dmorgan> 4.0.4-1.mga3
+ Revision: 270869
- New version

* Wed Apr 25 2012 fwang <fwang> 3.0.2-1.mga2
+ Revision: 233182
- new version 3.0.2

* Tue Jan 31 2012 dmorgan <dmorgan> 3.0.0-1.mga2
+ Revision: 203600
- New version 3.0.0

* Sun Jan 08 2012 dmorgan <dmorgan> 3.0-0.1.alpha1.1.mga2
+ Revision: 193563
- New version 3.0 Alpha1

* Wed Nov 23 2011 dmorgan <dmorgan> 2.0.1-1.mga2
+ Revision: 171107
- New version 2.0.1
- Requires php-mbstring
- Requires php-zip

* Wed Nov 02 2011 dmorgan <dmorgan> 2.0.0-1.mga2
+ Revision: 161214
- New version 2

* Sun Oct 02 2011 dmorgan <dmorgan> 2.0.0-0.b3.1.mga2
+ Revision: 151109
- New version

* Sat Sep 24 2011 dmorgan <dmorgan> 2.0.0-0.b1.3.mga2
+ Revision: 147384
- Update to owncloud 2 beta 1

* Sun Sep 18 2011 dmorgan <dmorgan> 1.90.0-0.20110818.3.mga2
+ Revision: 145179
- Fix requires

* Sun Sep 18 2011 dmorgan <dmorgan> 1.90.0-0.20110818.2.mga2
+ Revision: 144707
- Fix sha1.lst
- Empty sha1.lst
- Change apache-conf require
- Add php-pear-MDB2_Driver_sqlite as suggests
- New git snapshot

* Mon Apr 04 2011 ennael <ennael> 1.1-1.mga1
+ Revision: 80479
- clean spec file
- imported package owncloud


* Fri Nov 26 2010 Funda Wang <fwang@mandriva.org> 1.1-1mdv2011.0
+ Revision: 601453
- 1.1 final

* Mon Aug 02 2010 Nicolas Lécureuil <nlecureuil@mandriva.com> 1.1-0.2mdv2011.0
+ Revision: 564901
- New snapshot

* Mon Jul 26 2010 Nicolas Lécureuil <nlecureuil@mandriva.com> 1.1-0.1mdv2011.0
+ Revision: 560853
- Update git snapshot ( pre 1.1 )

* Thu Apr 15 2010 Nicolas Lécureuil <nlecureuil@mandriva.com> 1.0-0.6mdv2010.1
+ Revision: 535024
- Update to new git snapshot

* Tue Mar 30 2010 Nicolas Lécureuil <nlecureuil@mandriva.com> 1.0-0.5mdv2010.1
+ Revision: 528969
- New owncloud snapshot

* Fri Mar 26 2010 Nicolas Lécureuil <nlecureuil@mandriva.com> 1.0-0.4.1mdv2010.1
+ Revision: 527607
- Change versionning
- Update owncloud snapshot

* Wed Mar 24 2010 Nicolas Lécureuil <nlecureuil@mandriva.com> 1.0-0.3f88fb9f.1mdv2010.1
+ Revision: 527202
- import owncloud


